Will the MAC OS X 10.6 Snow Leopard allow me to operate the 4th generation ipod touch?

Back To Product

Follow this Question

1 Answer from the Community

  • Hi, if you mean "docking and syncing" then yes. The iPod does not operate on snow leopard, but iOS 4.1. Even though you may have snow leopard , you will need to update to the latest version of iTunes. Snow leopard only works on intel macs with 1Gb ram or higher. Hope I helped! :)

    Was this useful? Answer 1

    1 of 2 people found this useful

Related Questions